# NodeTemplate

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**derived_from** | **str** |  | [optional] 
**properties** | **dict(str, object)** |  | [optional] 
**requirements** | **list[dict(str, object)]** |  | [optional] 
**interfaces** | **dict(str, object)** |  | [optional] 
**capabilities** | **dict(str, object)** |  | [optional] 
**type** | **str** |  | [optional] 
**description** | **str** |  | [optional] 
**directives** | **list[str]** |  | [optional] 
**attributes** | **dict(str, object)** |  | [optional] 
**artifacts** | **dict(str, object)** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


